Name: solfege
Version: 2.0.3
Release: alt1

Summary: Eartaining program for GNOME
License: GPL
Group: Education

Url: http://solfege.sourceforge.net
Source: http://download.sourceforge.net/solfege/%name-%version.tar.gz

Packager: Michael Shigorin <mike@altlinux.ru>

%define python_ver 2.2
%define pygnome_ver 1.9.11
%define pygtk_ver 1.9.11
%define gtkhtml_ver 1.99.6

BuildPreReq: python-devel >= %python_ver

# Automatically added by buildreq on Sat Nov 01 2003
BuildRequires: docbook-dtds docbook-style-xsl glib2-devel gnome-python2 hostinfo libatk-devel libfftw-devel libgtk+2-devel libgtkhtml2-devel libpango-devel libxml2-devel libxslt pkgconfig pygtk2-devel python-devel swig xml-common xml-utils xsltproc

BuildRequires: xsltproc >= 1.0.30-alt2 links1
# ...or something like 1.23-alt1, but *before* 1.29-alt1

Requires: pygtk2 >= %pygtk_ver, libgtkhtml2 >= %gtkhtml_ver
Requires: python >= %python_ver, gnome-python2 >= %pygnome_ver
Requires: gnome-python2-bonobo pyorbit gnome-python2-canvas gnome-python2-gtkhtml2

Summary(ru_RU.KOI8-R):   .
Summary(uk_UA.KOI8-U):   .

%description
Solfege is an eartraining program for X written in python, using the
GTK+ and GNOME libraries. This is a development release, things might
be broken. See INSTALL file if you have problems running or installing
Solfege. Report your problems to solfege-devel@lists.sourceforge.net

Eartraining is a big subject with many connections to music theory and
performance of music, so I won't even try to make "a complete
computerbased eartraining course". But I hope someone find this
software useful.

%description -l ru_RU.KOI8-R
Solfege --    ,   Python 
  GTK+  GNOME.

  --   ,      
 .       " ",   
 ,     .

%description -l uk_UA.KOI8-U
Solfege --    ,    Python  
¦̦ GTK+  GNOME.

%prep
%setup -q

%build
XSLPATH=`echo "system http://docbook.sourceforge.net/release/xsl/current" \
	| xmlcatalog --shell \
	| sed 's,^.*file://,,' \
	| head -1`
[ -n "$XSLPATH" ] && {
	XSLOPT="--enable-docbook-stylesheet=$XSLPATH/html/chunk.xsl"
} || {
	XSLOPT="--with-local-xmlcatalog"
}
export PYTHON=%__python
unset CC
%configure \
	--with-gtkhtml \
	--enable-oss-sound \
	--enable-tuner \
	--with-swig13 \
	$XSLOPT

%make_build

%install
%makeinstall nopycompile=YES WITH_SWIG13=yes

# Creating menu
%__cat <<EOF >%name.menu
?package(%name): needs="X11" section="Multimedia/%group" \
title="GNU Solfege" longtitle="Eartraining program for X" \
command="soundwrapper %_bindir/%name" icon="%name.png"
EOF

%__install -pD -m644 %name.menu %buildroot%_menudir/%name
%__install -pD -m644 graphics/%name.png %buildroot%_iconsdir/%name.png
%__install -pD %name.desktop %buildroot%_datadir/gnome/apps/Applications/%name.desktop

# force python to optimize generated bytecode
%__subst 's@!%__python\(.*\)@!%__python\1 -O@' %buildroot%_bindir/%name%version

# creating %name as symlink on solfege%version
%__rm %buildroot%_bindir/%name
%__ln_s %name%version %buildroot%_bindir/%name

%find_lang --output=%name.lang %name %name-intervallnames

%post
%update_menus

%postun
%clean_menus

# put only optimized bytecode and necessary .py's into the package
%files -f %name.lang
%_bindir/*
%_datadir/%name/%version/default.config
%_datadir/%name/%version/solfege.gtkrc
%_datadir/%name/%version/feta/*
%_datadir/%name/%version/lesson-files/*
%_datadir/%name/%version/online-docs/*
%_datadir/%name/%version/src/*.py
%_datadir/%name/%version/src/*.pyo
%_datadir/%name/%version/mpd/*.pyo
%_datadir/%name/%version/soundcard/*.pyo
%_datadir/%name/%version/graphics/
%_datadir/gnome/apps/*/*
%_datadir/pixmaps/*
%_datadir/icons/*
%_libdir/%name/*
%_menudir/*
%_man1dir/*
%config(noreplace) %_sysconfdir/*
%doc AUTHORS FAQ README TODO COPYING changelog

%changelog
* Sat Nov 01 2003 Michael Shigorin <mike@altlinux.ru> 2.0.3-alt1
- 2.0.3
- built with libfftw
- updated buildrequires

* Mon Oct 20 2003 Michael Shigorin <mike@altlinux.ru> 2.0.2-alt2
- rebuild

* Tue Sep 23 2003 Michael Shigorin <mike@altlinux.ru> 2.0.2-alt1
- 2.0.2 (major bugfixes)

* Thu Sep 11 2003 Michael Shigorin <mike@altlinux.ru> 2.0.1-alt1
- 2.0.1
- removed aclocal && autoconf as configure blows up then

* Mon Sep 08 2003 Michael Shigorin <mike@altlinux.ru> 2.0.0-alt1
- 2.0.0
- spec cleanup (upstream got several fixes)
- added Packager: field

* Sat Aug 16 2003 Michael Shigorin <mike@altlinux.ru> 1.9.99-alt2
- worked around typo in upstream leading to partial online-docs
  install and missing .png's

* Thu Aug 14 2003 Michael Shigorin <mike@altlinux.ru> 1.9.99-alt1
- 1.9.99
- worked around changed module installation (remove that WITH_SWIG13 when it
  gets fixed)
- updated BuildRequires (also forced links into)

* Mon Jul 14 2003 Michael Shigorin <mike@altlinux.ru> 1.9.11-alt1
- 1.9.11
- FYI: win32 version is available at solfege.org

* Thu Jul 03 2003 Michael Shigorin <mike@altlinux.ru> 1.9.10-alt1
- 1.9.10

* Tue Apr 29 2003 Michael Shigorin <mike@altlinux.ru> 1.9.9-alt1
- 1.9.9
- forced xsltproc version since docs wouldn't build with xsltproc-1.29-alt1
  (thanks to Vitaly Ostanin and Mikhail Zabaluev for assistance)

* Fri Feb 07 2003 Michael Shigorin <mike@altlinux.ru> 1.9.8-alt1
- 1.9.8
- patch1 removed
- chunk.xsl discovery implemented (hopefully) instead of hardwiring the path

* Fri Dec 27 2002 Michael Shigorin <mike@altlinux.ru> 1.9.5-alt1
- 1.9.5
- patches 1-3 from 1.9.4-alt1 are no more needed
- icon typo fixed (%%install)

* Wed Dec 18 2002 Michael Shigorin <mike@altlinux.ru> 1.9.4-alt1.1
- added missing dependency on gnome-python2-gtkhtml2
- moved from Sound to Education group
  (both thanks to Alexandre Prokoudine <avp@altlinux.ru>)

* Wed Dec 18 2002 Michael Shigorin <mike@altlinux.ru> 1.9.4-alt1
- 1.9.4 (unstable)
- GTK2/GNOME2 based
- builds with gnome after taking strange pygnome check out of configure
- small altish fix regarding xsl-stylesheets path
- updated translation
- spec cleanup

* Mon Oct 14 2002 Michael Shigorin <mike@altlinux.ru> 1.4.8-alt1
- 1.4.8

* Tue Aug 27 2002 Michael Shigorin <mike@altlinux.ru> 1.4.7-alt1
- 1.4.7

* Fri May 03 2002 Michael Shigorin <mike@altlinux.ru> 1.4.6-alt0.3
- new version
- switch off gtkhtml as it appears to give a trouble
- updated link in welcome message for 1.3/1.4 (was broken)

* Sat Feb 23 2002 1.4.3-alt0.9
- new version

* Thu Jan 31 2002 1.4.2-alt0.3
- PreReq pygnome >= 1.4.2-alt4 (LC_NUMERIC bug resolved)
- built --with-gtkhtml. Now we have pygnome-gtkhtml package.

* Tue Jan 30 2002 Michael Shigorin <mike@altlinux.ru> 1.4.2-alt0.2
- new version
- small cleanups (as usual, by Yuri Sedunov <aris@altlinux.ru>)
- python optimization

* Wed Jan  9 2002 Michael Shigorin <mike@altlinux.ru> 1.4.1-alt0.9
- no more building --with-gtkhtml as pygnome appears being built without
  gtkhtml support
- massive spec fixes by Yuri Sedunov <aris@altlinux.ru>

* Sun Jan  6 2002 Michael Shigorin <mike@altlinux.ru> 1.4.1-alt0.8
- applied spec corrections by Yuri Sedunov <aris@altlinux.ru>

* Fri Dec 28 2001 Michael Shigorin <mike@altlinux.ru> 1.4.1-alt0.2
- tiny Makefile fix and Python >= 2.1 PreReq added (would build but
  not run with < 2.1)

* Thu Dec 27 2001 Michael Shigorin <mike@altlinux.ru> 1.4.1-alt0.1
- new version

* Wed Dec  5 2001 Michael Shigorin <mike@altlinux.ru> 1.2.1-alt0.9
- alt0.9
- russian welcome.html
- configure patch backported from 1.3.2; also thanks to
  Mikhail Zabaluev <mhz@alt-linux.org>

* Mon Dec  3 2001 Michael Shigorin <mike@altlinux.ru> 1.2.1-alt0.8
- alt0.8
- spec cleanup
- ru.po (needs more inspired work; lessons untouched)
- UGLY HACK on *my* system: ln -s /usr/include/python2.0 /usr/include/python
